Public Member Functions | Public Attributes | List of all members
libzmf::BMIParser::ColorBitmapHeader Struct Reference

## Public Member Functions
| ColorBitmapHeader ()
void | parse (const RVNGInputStreamPtr &input, const BMIHeader &header, const BMIOffset &offset)

## Public Attributes
unsigned | m_width
unsigned | m_height
unsigned | m_colorDepth
unsigned | m_startOffset
unsigned | m_endOffset

## Constructor & Destructor Documentation

## ◆ ColorBitmapHeader()

libzmf::BMIParser::ColorBitmapHeader::ColorBitmapHeader | ( |  | ) |

## Member Function Documentation

## ◆ parse()

void libzmf::BMIParser::ColorBitmapHeader::parse | ( | const RVNGInputStreamPtr & | input,
|  | const BMIHeader & | header,
|  | const BMIOffset & | offset
| ) |  |

## Member Data Documentation

## ◆ m_colorDepth

unsigned libzmf::BMIParser::ColorBitmapHeader::m_colorDepth

Referenced by libzmf::BMIParser::readColorBitmap().

## ◆ m_endOffset

unsigned libzmf::BMIParser::ColorBitmapHeader::m_endOffset

Referenced by libzmf::BMIParser::readColorBitmap().

## ◆ m_height

unsigned libzmf::BMIParser::ColorBitmapHeader::m_height

Referenced by libzmf::BMIParser::readColorBitmap(), and libzmf::BMIParser::reconcileDimensions().

## ◆ m_startOffset

unsigned libzmf::BMIParser::ColorBitmapHeader::m_startOffset

Referenced by libzmf::BMIParser::readColorBitmap().

## ◆ m_width

unsigned libzmf::BMIParser::ColorBitmapHeader::m_width

Referenced by libzmf::BMIParser::readColorBitmap(), and libzmf::BMIParser::reconcileDimensions().

The documentation for this struct was generated from the following file:

- BMIParser.cpp